<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listTexts") label="Texts"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Advanced Text Search"]]

<div class="panel gap">
  <div class="panel-body">
<semantic-search>
  <semantic-search-form-query
     query-template='{
       "queryString": "SELECT ?subject
          WHERE {
            ?subject a ismi:Text ;
              rdfs:label ?label ;
              frbroo:R16i_was_initiated_by / crm:P14_carried_out_by ?author .
            ?search_hit bds:search ?title_match ;
              bds:relevance ?score ;
              bds:minRelevance \"0.1\" .
            {
              ?subject rdfs:label ?search_hit .
            } UNION {
              ?subject crm:P102_has_title ?title .
              ?title rdfs:label ?search_hit .
            }
            bind(?author_match as ?author)
            bind(if(bound(?score), ?score, 1) as ?sort_score)
          }",
       "arguments": {
         "title_match": {"type": "xsd:langString", "optional": false},
         "author_match": {"type": "xsd:anyURI", "optional": true}
       }
     }'
     fields="[[fieldDefinitions
         author_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/carried_out_by'
         title_match='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/title1'
         ]]">
    <semantic-form-text-input for="title_match"></semantic-form-text-input>
    <semantic-form-autocomplete-input for="author_match"></semantic-form-autocomplete-input>
    <button type='button' name='submit' className='btn btn-default'>Search</button>
  </semantic-search-form-query>
  <semantic-search-result-holder>
    <semantic-search-result> 
<semantic-table
  id="table"
  query="SELECT DISTINCT ?subject ?author WHERE {} 
    ORDER BY desc(?score) lcase(?label)"
  column-configuration='[
    { "variableName": "subject", "displayName": "Text" },
    { "variableName": "author", "displayName": "Author" }
  ]'
  number-of-displayed-rows=100
  options='{"showFilter": false}'
  >
</semantic-table>
    </semantic-search-result>
  </semantic-search-result-holder>
</semantic-search>
  </div>
</div>

[[> Partial:contentEnd]]
